JsonCpp project page | JsonCpp home page

Namespaces | Macros | Typedefs | Functions | Variables
json_reader.cpp File Reference
`#include <json/assertions.h>`
`#include <json/reader.h>`
`#include <json/value.h>`
`#include "json_tool.h"`
`#include <utility>`
`#include <cstdio>`
`#include <cassert>`
`#include <cstring>`
`#include <istream>`
`#include <sstream>`
`#include <memory>`
`#include <set>`
`#include <limits>`
Include dependency graph for json_reader.cpp:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | snprintf _snprintf
#define | JSONCPP_DEPRECATED_STACK_LIMIT 1000

## Typedefs
typedef std::auto_ptr< CharReader > | Json::CharReaderPtr

## Functions
static void | Json::getValidReaderKeys (std::set< std::string > *valid_keys)
bool | Json::parseFromStream (CharReader::Factory const &, std::istream &, Value *root, std::string *errs)
| Consume entire stream and use its begin/end. More...
std::istream & | Json::operator>> (std::istream &, Value &)
| Read from 'sin' into 'root'. More...

## Variables
static size_t const | stackLimit_g = 1000

## Macro Definition Documentation

## ◆ JSONCPP_DEPRECATED_STACK_LIMIT

#define JSONCPP_DEPRECATED_STACK_LIMIT 1000

Definition at line 50 of file json_reader.cpp.

## ◆ snprintf

#define snprintf _snprintf

Definition at line 29 of file json_reader.cpp.

Referenced by Json::Reader::good(), and Json::Reader::parse().

## Variable Documentation

## ◆ stackLimit_g

size_t const stackLimit_g = 1000
| static

Definition at line 53 of file json_reader.cpp.

Referenced by Json::Reader::parse().